<?php

/**
 * Plugin Name:      Datum Connector
 * Description:      Provides an API Connector to the Datum platform.
 * Author:           Webnestors
 * Author URI:       https://webnestors.com
 * Text Domain:      datum-connector
 * Requires Plugins: woocommerce
 * Domain Path:      /languages
 * Version:          1.0.0
 * Requires PHP:     7.4
 *
 * @package          Webnestors\DatumConnector
 */

if (!defined("ABSPATH")) {
    die();
}

include_once dirname(__FILE__) . "/datum-connector-rest-controller.php";

function datumconnector_register_rest_routes() {
  $controller = new \DatumConnector_REST_Controller();
  $controller->register_routes();
}
add_action("rest_api_init", "datumconnector_register_rest_routes");
